Concept
AlphabetWithGapsConcept
An alphabet that includes a specific gap character.

AssignableConcept | CopyConstructibleConcept | DefaultConstructibleConcept

AlphabetConcept

AlphabetWithGapsConcept

Concept Definition
Refines
AlphabetConcept
Required Metafunctions

BitsPerValue | Number of bits needed to store a value. (AlphabetConcept)

Required Functions

assign | Assigns one object to another object. (AssignableConcept)
gapValue | Return the "gap" value from an alphabet.
gapValueImpl | Implements gapValue.
operator= | C++ built-in Assignment operator. (AssignableConcept)

Include Headers
seqan/basic.h
Functions

gapValue | Return the "gap" value from an alphabet.
gapValueImpl | Implements gapValue.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57